Subject: Re: [PATCH net-next v3 0/5] allocate dummy device dynamically

From: Kalle Valo <[email-masked]>
Date: Thu, 04 Apr 2024 14:59:59 +0300

Breno Leitao <[email-masked]> writes:

> struct net_device shouldn't be embedded into any structure, instead,
> the owner should use the private space to embed their state into
> net_device.
>
> But, in some cases the net_device is embedded inside the private
> structure, which blocks the usage of zero-length arrays inside
> net_device.
>
> Create a helper to allocate a dummy device at dynamically runtime, and
> move the Ethernet devices to use it, instead of embedding the dummy
> device inside the private structure.
>
> This fixes all the network cases except for wireless drivers.
>
> PS: Due to lack of hardware, unfortunately all these patches are
> compiled tested only.

BTW if it helps, and if you have an ath10k or ath11k patch already, I
can run a quick test on real hardware.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches